Index: issm/trunk/examples/UncertaintyQuantification/runme.m
===================================================================
--- issm/trunk/examples/UncertaintyQuantification/runme.m	(revision 18301)
+++ issm/trunk/examples/UncertaintyQuantification/runme.m	(revision 18301)
@@ -0,0 +1,291 @@
+%PIG Uncertainty Quantification Application
+steps=[1:3]; 
+
+if any(steps==1) 
+	disp('   Step 1: plot flux gates'); 
+	
+	md = loadmodel('../Pig/Models/PIG.Control_drag');
+
+	texts=cell(1,13);
+	textpositions=cell(1,13);
+
+	for i=1:13,
+		contour=expread(['./MassFluxes/MassFlux' num2str(i) '.exp']);
+		textpositions{i}=[contour.x(end) contour.y(end)];
+	end
+
+	plotmodel(md,'data',md.results.StressbalanceSolution.Vel,'log',10,'expdisp',...
+		{'MassFluxes/MassFlux1.exp','MassFluxes/MassFlux2.exp',...
+		'MassFluxes/MassFlux3.exp','MassFluxes/MassFlux4.exp',...
+		'MassFluxes/MassFlux5.exp','MassFluxes/MassFlux6.exp',...
+		'MassFluxes/MassFlux7.exp','MassFluxes/MassFlux8.exp',...
+		'MassFluxes/MassFlux9.exp','MassFluxes/MassFlux10.exp',...
+		'MassFluxes/MassFlux11.exp','MassFluxes/MassFlux12.exp',...
+		'MassFluxes/MassFlux13.exp'},...
+		'expstyle',{'k-','k-','k-','k-','k-','k-','k-',...
+		'k-','k-','k-','k-','k-','k-'},'linewidth',2,...
+		'text',{'1','2','3','4','5','6','7',...
+		'8','9','10','11','12','13'},...
+		'textposition',textpositions);
+
+end
+if any(steps==2) 
+	disp('   Step 2: compute cross overs from CRESIS'); 
+	
+	md = loadmodel('../Pig/Models/PIG.Control_drag');
+
+	%load cross overs: CRESIS McCord Antarctica, 2009 (courtesy of John Paden)
+	load('../Data/CrossOvers2009.mat');
+	
+	%interpolate cross over errors over our mesh vertices
+	DeltaHH=InterpFromMeshToMesh2d(index,x,y,dhh,md.mesh.x,md.mesh.y);
+
+	%avoid NaN values
+	pos=find(isnan(DeltaHH)); DeltaHH(pos)=0;
+
+	%filter out unrealistic error ranges
+	flags=ContourToNodes(md.mesh.x,md.mesh.y,'ErrorContour.exp',1);
+	pos=find(~flags); DeltaHH(pos)=0; 
+
+	%avoid large unrealistic values
+	pos=find(DeltaHH>1); DeltaHH(pos)=1;
+	pos=find(DeltaHH<-1); DeltaHH(pos)=-1;
+	
+	%transform into absolute errors and setup a minimum error everywhere.
+	DeltaHH=abs(DeltaHH);
+	pos=find(DeltaHH==0); pos2=find(DeltaHH~=0); 
+	DeltaHH(pos)=min(DeltaHH(pos2));
+
+	save Models/PIG.CrossOvers DeltaHH
+
+end
+if any(steps==3) 
+	disp('   Step 3: sampling analysis'); 
+	
+	%load model and cross over errors
+	md = loadmodel('../Pig/Models/PIG.Control_drag');
+	load -mat Models/PIG.CrossOvers
+
+	%partition the mesh
+	md.qmu.numberofpartitions=50;
+	md=partitioner(md,'package','chaco','npart',md.qmu.numberofpartitions,...
+	'weighting','on');
+	md.qmu.partition=md.qmu.partition-1; %switch partition to c-indexing
+
+	%make DeltaHH into our 3 sigma deviation
+	DeltaHH=DeltaHH/6; %2 (to transform DeltaHH into a radius) x 3 (for 3 sigma)
+	DeltaHH_on_partition=AreaAverageOntoPartition(md,DeltaHH);
+	DeltaHH_on_grids=DeltaHH_on_partition(md.qmu.partition+1); %just to check in case
+	
+	md.qmu.variables.thickness=normal_uncertain('scaled_Thickness',1,1);
+	md.qmu.variables.thickness.stddev=DeltaHH_on_partition;
+
+	%responses
+	md.qmu.responses.MassFlux1=response_function('indexed_MassFlux_1',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux2=response_function('indexed_MassFlux_2',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]); %grounding line
+	md.qmu.responses.MassFlux3=response_function('indexed_MassFlux_3',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux4=response_function('indexed_MassFlux_4',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux5=response_function('indexed_MassFlux_5',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux6=response_function('indexed_MassFlux_6',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux7=response_function('indexed_MassFlux_7',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux8=response_function('indexed_MassFlux_8',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux9=response_function('indexed_MassFlux_9',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux10=response_function('indexed_MassFlux_10',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux11=response_function('indexed_MassFlux_11',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux12=response_function('indexed_MassFlux_12',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux13=response_function('indexed_MassFlux_13',[],...
+		[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+
+	%mass flux profiles
+	md.qmu.mass_flux_profiles={'MassFlux1.exp',...
+	                           'MassFlux2.exp',...
+	                           'MassFlux3.exp',...
+	                           'MassFlux4.exp',...
+	                           'MassFlux5.exp',...
+	                           'MassFlux6.exp',...
+	                           'MassFlux7.exp',...
+	                           'MassFlux8.exp',...
+	                           'MassFlux9.exp',...
+	                           'MassFlux10.exp',...
+	                           'MassFlux11.exp',...
+	                           'MassFlux12.exp',...
+	                           'MassFlux13.exp'};
+	md.qmu.mass_flux_profile_directory='../MassFluxes/';
+
+	%%  sampling analysis
+	md.qmu.method     =dakota_method('nond_samp');
+	md.qmu.method(end)=dmeth_params_set(md.qmu.method(end),...
+	'seed',1234,...
+	'samples',30,...
+	'sample_type','lhs'); %random or lhs
+
+	%%  a variety of parameters
+	md.qmu.params.direct=true;
+	md.qmu.params.analysis_driver='';
+	md.qmu.params.analysis_components='';
+	md.qmu.params.evaluation_concurrency=1;
+	md.qmu.params.tabular_graphics_data=true;
+
+	md.stressbalance.restol=10^-5; %tighten tolerances for UQ analyses
+	
+	%solve
+	md.qmu.isdakota=1; md.inversion.iscontrol=0;
+	md.cluster=generic('name',oshostname,'np',4);
+	md=solve(md,StressbalanceSolutionEnum,'overwrite','y');
+
+	save ./Models/PIG.Sampling md; 
+end
+if any(steps==4) 
+	disp('   Step 4: sensitivity analysis'); 
+	
+	%load model
+	md = loadmodel('../Pig/Models/PIG.Control_drag');
+
+	%partition the mesh
+	md.qmu.numberofpartitions=10;
+	md=partitioner(md,'package','chaco','npart',md.qmu.numberofpartitions,'weighting','on');
+	md.qmu.partition=md.qmu.partition-1; %switch partition to c-indexing
+
+	%all types of variables and responses: scaled_Thickness, indexed_MassFlux_i,MaxVel,nodal_DragCoefficient_i. scaled variables are expanded.
+
+	%variables
+	md.qmu.variables.DragCoefficient=normal_uncertain(...
+	'scaled_FrictionCoefficient',1,0.05);
+	md.qmu.variables.rheology_B=normal_uncertain(...
+	'scaled_MaterialsRheologyB',1,0.05);
+	md.qmu.variables.Thickness=normal_uncertain('scaled_Thickness',1,0.05);
+
+	%responses
+	md.qmu.responses.MassFlux1=response_function('indexed_MassFlux_1',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux2=response_function('indexed_MassFlux_2',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux3=response_function('indexed_MassFlux_3',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux4=response_function('indexed_MassFlux_4',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux5=response_function('indexed_MassFlux_5',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux6=response_function('indexed_MassFlux_6',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux7=response_function('indexed_MassFlux_7',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux8=response_function('indexed_MassFlux_8',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux9=response_function('indexed_MassFlux_9',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux10=response_function('indexed_MassFlux_10',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux11=response_function('indexed_MassFlux_11',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux12=response_function('indexed_MassFlux_12',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+	md.qmu.responses.MassFlux13=response_function('indexed_MassFlux_13',[],[0.0001 0.001 0.01 0.25 0.5 0.75 0.99 0.999 0.9999]);
+
+	%mass flux profiles
+	md.qmu.mass_flux_profiles={'MassFlux1.exp',...
+	                           'MassFlux2.exp',...
+	                           'MassFlux3.exp',...
+	                           'MassFlux4.exp',...
+	                           'MassFlux5.exp',...
+	                           'MassFlux6.exp',...
+	                           'MassFlux7.exp',...
+	                           'MassFlux8.exp',...
+	                           'MassFlux9.exp',...
+	                           'MassFlux10.exp',...
+	                           'MassFlux11.exp',...
+	                           'MassFlux12.exp',...
+	                           'MassFlux13.exp'};
+	md.qmu.mass_flux_profile_directory='../MassFluxes/';
+
+	%method: local reliability
+	md.qmu.method     =dakota_method('nond_l');
+	md.qmu.method(end)=dmeth_params_set(md.qmu.method(end),...
+	'output','quiet');
+
+	%parameters
+	md.qmu.params.direct=true;
+	md.qmu.params.analysis_driver='';
+	md.qmu.params.analysis_components='';
+	md.qmu.params.evaluation_concurrency=1;
+	md.qmu.params.tabular_graphics_data=false;
+
+	md.stressbalance.restol=10^-5; %tighten for qmu analyses
+	
+	%solve
+	md.qmu.isdakota=1; 
+	md.inversion.iscontrol=0;
+	md.cluster=generic('name',oshostname,'np',2);
+	md.verbose=verbose('qmu',true);
+	md=solve(md,StressbalanceSolutionEnum,'overwrite','y');
+	
+	save ./Models/PIG.Sensitivity md; 
+end
+if any(steps==5) 
+	disp('   Step 5: plot partition');
+	
+	%load model
+	md = loadmodel('./Models/PIG.Sampling');
+	
+	plotmodel(md,'data','mesh','partitionedges','on','meshlinewidth',1.5,...
+	'linewidth',2, 'axis#all','image','unit','km','colorbar','off',...
+	'title','','meshcolor','b','grid','on');
+
+end 
+if any(steps==6) 
+	disp('   Step 6: plot histogram'); 
+	
+	%load model
+	md = loadmodel('./Models/PIG.Sampling');
+
+	%which profile are we looking at?
+	index=1; 	
+
+	%retrieve results for the specific profile, mass flux in m^3 water equiv/s
+	result=md.results.dakota.dresp_dat(md.qmu.numberofpartitions+index);
+	result.sample=result.sample/1e12*60*60*24*365;
+		
+	%plot histogram
+	plot_hist_norm(result,'cdfleg','off','cdfplt','off','nrmplt','off',...
+	'xlabelplt','M (Gt/yr)','ylabelplt','F','FontSize',8,'FaceColor',...
+	'none','EdgeColor','red');
+
+end
+if any(steps==7) 
+	disp('   Step 7: plot sensitivity'); 
+	
+	%load model
+	md = loadmodel('./Models/PIG.Sensitivity');
+	%copy dakota results into model qmu
+	md.qmu.results=md.results.dakota;
+
+	%which profile are we looking at?
+	index=1; 	
+
+	%To plot sensitivities
+	sa=md.results.dakota.dresp_out(index).sens(1:10); sa=sa(md.qmu.partition+1)/1e12*60*60*24*365;
+	sb=md.results.dakota.dresp_out(index).sens(11:20); sb=sb(md.qmu.partition+1)/1e12*60*60*24*365;
+	sh=md.results.dakota.dresp_out(index).sens(21:30); sh=sh(md.qmu.partition+1)/1e12*60*60*24*365;
+
+	plotmodel(md,'data',sh,'data',sa,'data',sb,'expdisp#all',...
+		['MassFluxes/MassFlux' num2str(index) '.exp'],...
+		'expstyle#all','b-','linewidth#all',2,...
+		'nlines',3,'ncols',1, 'axis#all','image',...
+		'colorbar#all','on','colorbarfontsize#all',10,...
+		'colorbartitle#1','S_{H}', 'colorbartitle#2','S_{\alpha}',...
+		'colorbartitle#3','S_{B}','unit#all','km','figure',1);
+
+	%To plot importance factors
+	ifa=importancefactors(md,'scaled_FrictionCoefficient',['indexed_MassFlux_' num2str(index)]);
+	ifb=importancefactors(md,'scaled_MaterialsRheologyB',['indexed_MassFlux_' num2str(index)]);
+	ifh=importancefactors(md,'scaled_Thickness',['indexed_MassFlux_' num2str(index)]);
+
+	plotmodel(md,'data',ifh,'data',ifa,'data',ifb,'expdisp#all',...
+		['MassFluxes/MassFlux' num2str(index) '.exp'],...
+		'expstyle#all','b-','linewidth#all',2,'log#all',10,...
+		'nlines',3,'ncols',1, 'axis#all','image','caxis#all',[1e-10 1],...
+		'colorbar#all','on','colorbarfontsize#all',10,...
+		'colorbartitle#1','If_{H}', 'colorbartitle#2','If_{\alpha}',...
+		'colorbartitle#3','If_{B}','unit#all','km','figure',2);
+
+end
Index: issm/trunk/externalpackages/android/android-ndk/android_aux.sh
===================================================================
--- issm/trunk/externalpackages/android/android-ndk/android_aux.sh	(revision 18301)
+++ issm/trunk/externalpackages/android/android-ndk/android_aux.sh	(revision 18301)
@@ -0,0 +1,43 @@
+#!/bin/bash
+#
+# android_aux.sh serves as an auxiliary script for all installation
+# scripts with the Android suffix.
+#
+# TODO: include M4 macros for generic options.
+#
+
+sdk_rev=22.6.2
+ndk_rev=9
+api_levels="android-14,android-15,android-16"
+host_triplet="arm-linux-androideabi"
+default_droid="android-4.1"
+
+step=0;
+j=1;
+
+echo ""
+echo "This install script utilizes 'android_aux.sh' to allow for options."
+echo "For usage information enter: '--help'"
+echo Number of arguments is: $#
+
+for arg in $* 
+do 
+    if [[ "$arg" =~ --step=([0-9])* ]]; then
+        step=${BASH_REMATCH[1]}; 
+        echo "Setting step to: " $step
+    elif [[ "$arg" == "--help" ]]; then
+        echo ""
+        echo "USAGE: $ install.sh [--step=#] [-j#]"
+        echo ""
+        echo "Where '#' is some integer."
+        echo "To check the number of steps check the install script."
+        echo ""
+        exit 1;
+    elif [[ "$arg" =~ -j=([1-9]+[0-9]*) ]]; then
+        j=${BASH_REMATCH[1]}; 
+        echo "Number of jobs set to: " $j
+    else
+        echo "Option not recognized"
+        exit 1;
+    fi
+done
Index: issm/trunk/externalpackages/android/android-ndk/installNDK-linux-x86.sh
===================================================================
--- issm/trunk/externalpackages/android/android-ndk/installNDK-linux-x86.sh	(revision 18301)
+++ issm/trunk/externalpackages/android/android-ndk/installNDK-linux-x86.sh	(revision 18301)
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+# This installs the Android NDK (Native Development Kit)
+# which is needed for the compilation of C/C++ code into the 
+# native architecture of the Android device.
+
+# The android-ndk-r8-darwin-x86.tar.bz2 ndk.tar.bz2 file was downloaded 
+# from the android developer website: 
+source $ANDROID_DIR/android_aux.sh
+
+if [[ $step == "1" || $step == "0" ]]; then
+    # Cleanup the install
+    rm -rf install
+    rm -rf $ANDROID_DIR/arm-linux-android-${default_droid}
+
+    # Download from ISSM server
+#    $ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/android-ndk-r'${ndk_rev}'-darwin-x86.tar.bz2' 'ndk.tar.bz2'
+    # Download from google
+#    if ["$(uname -m)" = "x86_64"]; then
+#	wget 'https://dl.google.com/android/ndk/android-ndk-r'${ndk_rev}'d-linux-x86_64.tar.bz2' 'ndk.tar.bz2'
+#   fi
+
+#    if ["$(uname -m)" = "x86"]; then
+	wget 'https://dl.google.com/android/ndk/android-ndk-r'${ndk_rev}'d-linux-x86.tar.bz2'
+ #   fi
+    # Install Android NDK
+    mv 'android-ndk-r'${ndk_rev}'d-linux-x86.tar.bz2' ndk.tar.bz2
+    tar -xvf ndk.tar.bz2
+    rm -rf ndk.tar ndk.tar.bz2
+
+    # Move to install
+    mv android-ndk-r${ndk_rev}d install
+fi
+
+# Create Standalone Development Directory
+# Note: API-14 corresponds to Android 4.0.
+if [[ $step == "2" || $step == "0" ]]; then
+    $ANDROID_DIR/android-ndk/install/build/tools/make-standalone-toolchain.sh --platform=android-14 --install-dir=$ANDROID_DIR/android-ndk/install/arm-linux-android-install
+fi
Index: issm/trunk/externalpackages/android/android-sdk/installSDK-linux-x86.sh
===================================================================
--- issm/trunk/externalpackages/android/android-sdk/installSDK-linux-x86.sh	(revision 18301)
+++ issm/trunk/externalpackages/android/android-sdk/installSDK-linux-x86.sh	(revision 18301)
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# This installs the Android SDK (Software Development Kit)
+# which is needed for the compilation of the Java project. 
+
+source $ANDROID_DIR/android_aux.sh
+
+# Different steps here. 
+#   0: do all
+#   1: install sdk, ant and sdk tools
+#   2: install an emulator.
+#   3: test the emulator
+#   4: cleanup
+
+present_dir=`pwd`;
+sd_card="issm-sdcard"
+
+if [[ $step == "1" || $step == "0" ]]; then
+
+	# Cleanup the install
+	rm -rf install
+
+	# Download from ISSM server
+#	$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://developer.android.com/sdk/index.html#download' 'android-sdk-linux.zip'
+	
+	#Download from Google server
+	wget https://dl.google.com/android/android-sdk_r$sdk_rev-linux.tgz
+
+	# Install Android SDK.
+	tar -zxvf android-sdk_r$sdk_rev-linux.tgz
+	rm -rf android-sdk_r$sdk_rev-linux.tgz
+	# Move to install
+	mv -f android-sdk-linux install
+
+	# Post_install configuration: 
+	# We need specific settings for specific platforms, for the SDK to 
+	# function properly
+
+	# For now, we need to install:  
+	# android sdk platform tools  
+	# and a specific android api: API 16, API 15 and API 14
+	# Note: API 16, API 15 and 14 correspond to Android 4.1, 4.0.3 and 4.0 respectively. 
+
+	cd install/tools/ && source ./android update sdk -t platform-tool,${api_levels},system-image --no-ui
+
+fi
+
+if [[ $step == "2" || $step == "0" ]]; then
+
+	# Once this is done, we need to install an emulator. Location will default to ~/.android/avd, 
+	# which we will move to $ISSM_DIR/externalpackages/android-emulators.  
+	# For now, it's called: Android-4.0.3
+
+	# Here we delete the Android-4.0.3 device if it already exists.
+	cd $present_dir/install/tools
+
+    if [ -e $ANDROID_DIR/android-emulators/$default_droid ] 
+    then
+        echo "Deleting previously created device: $default_droid"
+	    ./android delete avd -n $default_droid
+    fi
+
+	# Android will prompt the user to specify hardware emulation options. For now, default
+	# default settings will suffice. Press 'enter' to take default settings or enter 'no'.
+
+	./android create avd -f -n $default_droid -t 1 -p $ANDROID_DIR/android-emulators/$default_droid --abi armeabi-v7a
+    echo "Creating an SD Card"
+    ./mksdcard -l $sd_card 2G $ANDROID_DIR/android-emulators/$sd_card.img
+fi
+
+if [[ $step == "3" || $step == "0" ]]; then
+    # Here we will start up our default emulator to test that it is working properly.
+    # Once the device has booted we will use the Android Debug Bridge tool to gain
+    # a terminal in our device.
+
+	cd $present_dir/install/tools
+	./emulator -avd $default_droid -sdcard $ANDROID_DIR/android-emulators/$sd_card.img &
+
+    cd ../platform-tools
+    ./adb wait-for-device shell
+fi
+
+#if [[ $step == "4" || $step == "0" ]]; then
+#	rm -rf install
+#fi
Index: issm/trunk/externalpackages/autotools/install.sh
===================================================================
--- issm/trunk/externalpackages/autotools/install.sh	(revision 18081)
+++ issm/trunk/externalpackages/autotools/install.sh	(revision 18301)
@@ -10,7 +10,7 @@
 echo " === INSTALLING AUTOCONF =="
 rm -rf src
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/autoconf-2.68.tar.gz' 'autoconf-2.68.tar.gz'
-tar -zxvf autoconf-2.68.tar.gz
-mv autoconf-2.68 src
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/autoconf-2.69.tar.gz' 'autoconf-2.69.tar.gz'
+tar -zxvf autoconf-2.69.tar.gz
+mv autoconf-2.69 src
 cd src 
 ./configure --prefix="$ISSM_DIR/externalpackages/autotools/install" 
@@ -22,7 +22,7 @@
 echo " === INSTALLING AUTOMAKE =="
 rm -rf src
-$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/automake-1.11.3.tar.gz' 'automake-1.11.3.tar.gz'
-tar -zxvf  automake-1.11.3.tar.gz
-mv automake-1.11.3 src
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/automake-1.14.tar.gz' 'automake-1.14.tar.gz'
+tar -zxvf  automake-1.14.tar.gz
+mv automake-1.14 src
 cd src 
 ./configure --prefix="$ISSM_DIR/externalpackages/autotools/install" 
Index: issm/trunk/externalpackages/boost/install-1.49-linux.sh
===================================================================
--- issm/trunk/externalpackages/boost/install-1.49-linux.sh	(revision 18301)
+++ issm/trunk/externalpackages/boost/install-1.49-linux.sh	(revision 18301)
@@ -0,0 +1,35 @@
+#!/bin/bash
+set -eu
+
+#Note of caution:  stop after boostrap phase, and run 
+#bjam --debug-configuration, to figure out which paths boost is using to include 
+#python. make sure everyone of these paths is covered by python. If not, just make 
+#symlinks in externalpackages/python to what boost is expecting. Ther is NO WAY 
+#to get the boost library to include python support without doing that. 
+
+#Some cleanup
+rm -rf install boost_1_49_0 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/boost_1_49_0.tar.gz' 'boost_1_49_0.tar.gz'
+
+#Untar 
+tar -zxvf  boost_1_49_0.tar.gz
+
+#Move boost into install directory
+mv boost_1_49_0/* src
+rm -rf boost_1_49_0
+#Configure and compile
+cd src 
+./bootstrap.sh \
+	--prefix="$ISSM_DIR/externalpackages/boost/install" \
+	--with-python=python3.2 \
+	--with-python-root="$ISSM_DIR/externalpackages/python/install" 
+
+#Compile boost
+./bjam install
+
+#put bjam into install also: 
+mkdir ../install/bin
+cp bjam ../install/bin
Index: issm/trunk/externalpackages/boost/install-1.55-macosx-mavericks.sh
===================================================================
--- issm/trunk/externalpackages/boost/install-1.55-macosx-mavericks.sh	(revision 18301)
+++ issm/trunk/externalpackages/boost/install-1.55-macosx-mavericks.sh	(revision 18301)
@@ -0,0 +1,40 @@
+#!/bin/bash
+set -eu
+
+#Note of caution:  stop after boostrap phase, and run 
+#bjam --debug-configuration, to figure out which paths boost is using to include 
+#python. make sure everyone of these paths is covered by python. If not, just make 
+#symlinks in externalpackages/python to what boost is expecting. Ther is NO WAY 
+#to get the boost library to include python support without doing that. 
+
+#Some cleanup
+rm -rf install boost_1_55_0 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/boost_1_55_0.tar.gz' 'boost_1_55_0.tar.gz'
+
+#Untar 
+tar -zxvf  boost_1_55_0.tar.gz
+
+#Move boost into install directory
+mv boost_1_55_0/* src
+rm -rf boost_1_55_0
+
+patch src/boost/atomic/detail/cas128strong.hpp ./configs/1.55/cas128strong.hpp.patch
+patch src/boost/atomic/detail/gcc-atomic.hpp ./configs/1.55/gcc-atomic.hpp.patch
+
+#Configure and compile
+cd src 
+./bootstrap.sh \
+	--prefix="$ISSM_DIR/externalpackages/boost/install" \
+	--with-python=python3.2 \
+	--with-python-root="$ISSM_DIR/externalpackages/python/install" 
+
+#Compile boost
+./b2 toolset=clang cxxflags=-stdlib=libstdc++ linkflags=-stdlib=libstdc++ -j2 variant=release link=static threading=multi install
+#./bjam install
+
+#put bjam into install also: 
+mkdir ../install/bin
+cp bjam ../install/bin
Index: issm/trunk/externalpackages/dakota/install-5.2-discover.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-5.2-discover.sh	(revision 18301)
+++ issm/trunk/externalpackages/dakota/install-5.2-discover.sh	(revision 18301)
@@ -0,0 +1,52 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf Dakota
+rm -rf src
+rm -rf install
+mkdir src install
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/Dakota_5_2.src.tar.gz' 'Dakota_5_2.src.tar.gz'
+
+#Untar 
+tar -zxvf Dakota_5_2.src.tar.gz
+
+#Move Dakota to src directory
+mv Dakota/* src
+rm -rf Dakota
+
+#Apply patches
+patch src/src/ParallelLibrary.C configs/5.2/ParallelLibrary.C.patch
+patch src/src/ParallelLibrary.H configs/5.2/ParallelLibrary.H.patch
+#patch src/src/NIDRProblemDescDB.C configs/5.2/NIDRProblemDescDB.C.patch    #  causes segfault in 5.2
+patch src/src/NonDSampling.C configs/5.2/NonDSampling.C.patch
+patch src/src/NonDLocalReliability.C configs/5.2/NonDLocalReliability.C.patch
+patch src/src/NonDUnilevelRBDO.C configs/5.2/NonDUnilevelRBDO.C.patch    #  source not even used?
+patch src/packages/pecos/src/pecos_global_defs.hpp configs/5.2/pecos_global_defs.hpp.patch
+
+#Configure dakota
+cd src
+./configure \
+--prefix="$ISSM_DIR/externalpackages/dakota/install/" \
+--without-graphics  \
+--with-pic \
+--disable-mpi \
+--with-plugin \
+--with-blas="-L/usr/local/intel/mkl/10.1.2.024/lib/64 -lmkl_lapack -lmkl -lguide -lpthread" \
+--with-lapack="-L/usr/local/intel/mkl/10.1.2.024/lib/64 -lmkl_lapack -lmkl -lguide -lpthread"
+
+cd ..
+
+#Compile and install dakota
+cd src
+if [ $# -eq 0 ];
+then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
+cd ..
Index: issm/trunk/externalpackages/dakota/install-5.3.1-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/dakota/install-5.3.1-macosx64.sh	(revision 18301)
+++ issm/trunk/externalpackages/dakota/install-5.3.1-macosx64.sh	(revision 18301)
@@ -0,0 +1,50 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf Dakota
+rm -rf src 
+rm -rf build 
+rm -rf install 
+mkdir src build install 
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/dakota-5.3.1-public-src.tar.gz' 'dakota-5.3.1-public-src.tar.gz'
+
+#Untar 
+tar -zxvf dakota-5.3.1-public-src.tar.gz
+
+#Move Dakota to src directory
+mv dakota-5.3.1.src/* src
+rm -rf dakota-5.3.1.src
+
+#Set up Dakota cmake variables and config
+export DAK_SRC=$ISSM_DIR/externalpackages/dakota/src
+export DAK_BUILD=$ISSM_DIR/externalpackages/dakota/build
+cp $DAK_SRC/cmake/BuildDakotaTemplate.cmake $DAK_SRC/cmake/BuildDakotaCustom.cmake
+patch $DAK_SRC/cmake/BuildDakotaCustom.cmake configs/5.3.1/BuildDakotaCustom.cmake.patch
+patch $DAK_SRC/cmake/DakotaDev.cmake configs/5.3.1/DakotaDev.cmake.patch
+
+#Apply patches
+patch src/src/ParallelLibrary.cpp configs/5.3.1/ParallelLibrary.cpp.patch
+patch src/src/ParallelLibrary.hpp configs/5.3.1/ParallelLibrary.hpp.patch
+patch src/src/NonDSampling.cpp configs/5.3.1/NonDSampling.cpp.patch
+patch src/src/NonDLocalReliability.cpp configs/5.3.1/NonDLocalReliability.cpp.patch
+patch src/packages/pecos/src/pecos_global_defs.hpp configs/5.3.1/pecos_global_defs.hpp.patch
+
+#Configure dakota
+cd $DAK_BUILD
+cmake -D CMAKE_C_COMPILER=/usr/local/gfortran/bin/x86_64-apple-darwin10-gcc -D CMAKE_CXX_COMPILER=/usr/local/gfortran/bin/x86_64-apple-darwin10-g++ -D CMAKE_Fortran_COMPILER=/usr/local/gfortran/bin/x86_64-apple-darwin10-gfortran -C $DAK_SRC/cmake/BuildDakotaCustom.cmake -C $DAK_SRC/cmake/DakotaDev.cmake $DAK_SRC
+cd ..
+
+#Compile and install dakota
+cd $DAK_BUILD
+if [ $# -eq 0 ];
+then
+	make
+	make install
+else
+	make -j $1
+	make -j $1 install
+fi
+cd ..
Index: issm/trunk/externalpackages/petsc/install-3.2-discover-intel13.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.2-discover-intel13.sh	(revision 18301)
+++ issm/trunk/externalpackages/petsc/install-3.2-discover-intel13.sh	(revision 18301)
@@ -0,0 +1,39 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install petsc-3.2-p3 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-3.2-p3.tar.gz' 'petsc-3.2-p3.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.2-p3.tar.gz
+mv petsc-3.2-p3/* src/
+rm -rf petsc-3.2-p3
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--PETSC_ARCH="$ISSM_ARCH" \
+	--with-batch=1 \
+	--with-debugging=0 \
+	--with-shared-libraries=1 \
+	--known-mpi-shared-libraries=1 \
+	--with-mpi-dir=/usr/local/intel/mpi/4.0.3.008/lib64/ \
+	--with-blas-lapack-dir=/usr/local/intel/Composer/composer_xe_2013.3.163/mkl/ \
+	--with-scalapack-lib=/usr/local/intel/Composer/composer_xe_2013.3.163/mkl/lib/intel64/libmkl_scalapack_lp64.a \
+	--with-scalapack-include=/usr/local/intel/Composer/composer_xe_2013.3.163/mkl/include/ \
+	--with-blacs-lib=/usr/local/intel/Composer/composer_xe_2013.3.163/mkl/lib/intel64/libmkl_blacs_intelmpi_lp64.a \
+	--with-blacs-include=/usr/local/intel/Composer/composer_xe_2013.3.163/mkl/include/ \
+	--download-mumps=yes \
+	--download-scalapack=no \
+	--download-blacs=no \
+	--download-plapack=no \
+	--download-parmetis=yes \
+	--with-pic=1
+
+echo "== Follow PETSc's instructions"
Index: issm/trunk/externalpackages/petsc/install-3.5-linux64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.5-linux64.sh	(revision 18301)
+++ issm/trunk/externalpackages/petsc/install-3.5-linux64.sh	(revision 18301)
@@ -0,0 +1,34 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install petsc-3.5.1 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-lite-3.5.1.tar.gz' 'petsc-3.5.1.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.5.1.tar.gz
+mv petsc-3.5.1/* src/
+rm -rf petsc-3.5.1
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir="$ISSM_DIR/externalpackages/mpich/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-valgrind=0 \
+	--with-shared-libraries=1 \
+	--download-metis=1 \
+	--download-parmetis=1 \
+	--download-mumps=1 \
+	--download-scalapack=1 \
+	--download-fblaslapack=1 \
+	--with-pic=1
+
+#Compile and intall
+make
+make install
Index: issm/trunk/externalpackages/petsc/install-3.5-macosx64.sh
===================================================================
--- issm/trunk/externalpackages/petsc/install-3.5-macosx64.sh	(revision 18301)
+++ issm/trunk/externalpackages/petsc/install-3.5-macosx64.sh	(revision 18301)
@@ -0,0 +1,32 @@
+#!/bin/bash
+set -eu
+
+#Some cleanup
+rm -rf install petsc-3.5.1 src
+mkdir install src
+
+#Download from ISSM server
+$ISSM_DIR/scripts/DownloadExternalPackage.py 'http://issm.jpl.nasa.gov/files/externalpackages/petsc-lite-3.5.1.tar.gz' 'petsc-3.5.1.tar.gz'
+
+#Untar and move petsc to install directory
+tar -zxvf  petsc-3.5.1.tar.gz
+mv petsc-3.5.1/* src/
+rm -rf petsc-3.5.1
+
+#configure
+cd src
+./config/configure.py \
+	--prefix="$ISSM_DIR/externalpackages/petsc/install" \
+	--with-mpi-dir="$ISSM_DIR/externalpackages/mpich/install" \
+	--PETSC_DIR="$ISSM_DIR/externalpackages/petsc/src" \
+	--with-debugging=0 \
+	--with-valgrind=0 \
+	--with-shared-libraries=1 \
+	--download-metis=1 \
+	--download-parmetis=1 \
+	--download-mumps=1 \
+	--download-scalapack=1
+
+#Compile and intall
+make
+make install
